# Copyright (C) 2004 Laurent Sansonetti
#
# Tengen is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of the
# License, or (at your option) any later version.
#
# Tengen is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public
# License along with Tengen; see the file COPYING.  If not,
# write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.

require 'gnome2'
require 'gdk_pixbuf2'
require 'gnomecanvas2'
require 'libglade2'

module Tengen
    module UI
    end
end

require 'tengen/ui/pixmaps'
require 'tengen/ui/board'
require 'tengen/ui/alert_dialog'
require 'tengen/ui/glade_base'
require 'tengen/ui/new_game_dialog'
require 'tengen/ui/about_dialog'
require 'tengen/ui/main_app'

module Tengen::UI
    def self.main
        Gnome::Program.new(Tengen::TITLE, Tengen::VERSION)
        Pixmaps.init
        MainApp.new.show_all
        Gtk.main
    end
end
